# _TIOCGWINSZ
<span class="source-link">[[Source]](src/term/ansi_term.md#L35)</span>
```pony
primitive val _TIOCGWINSZ
```

## Constructors

### create
<span class="source-link">[[Source]](src/term/ansi_term.md#L35)</span>


```pony
new val create()
: _TIOCGWINSZ val^
```

#### Returns

* [_TIOCGWINSZ](term-_TIOCGWINSZ) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/term/ansi_term.md#L36)</span>


```pony
fun box apply()
: ULong val
```

#### Returns

* [ULong](builtin-ULong) val

---

### eq
<span class="source-link">[[Source]](src/term/ansi_term.md#L36)</span>


```pony
fun box eq(
  that: _TIOCGWINSZ val)
: Bool val
```
#### Parameters

*   that: [_TIOCGWINSZ](term-_TIOCGWINSZ) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/term/ansi_term.md#L36)</span>


```pony
fun box ne(
  that: _TIOCGWINSZ val)
: Bool val
```
#### Parameters

*   that: [_TIOCGWINSZ](term-_TIOCGWINSZ) val

#### Returns

* [Bool](builtin-Bool) val

---

